%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Summary: Video Codec based on Wavelets
Name: dirac
Version: 1.0.2
Release: %mkrel 2
Source0: https://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.xz
Patch0: dirac-0.7.0-werror.patch
Patch1: dirac-1.0.2-backports.patch
License: MPLv1.1
Group: Video
Url: https://sf.net/projects/dirac
BuildRequires: doxygen
BuildRequires: texlive
BuildRequires: lib64cppunit-devel

%description
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the Dirac Video codec

%description -n %libname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %develname
Group: Development/Libraries
Summary: Development files of the Dirac Video codec
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: lib64dirac-static-devel

%description -n %develname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package utils
Group: Video
Summary: Example encoder and decoder for the Dirac video codec

%description utils
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
./bootstrap
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install
mv %buildroot%_datadir/doc installed-docs

#gw don't package unit tests
rm -fv %buildroot%_bindir/dirac_unittest
rm -f %{buildroot}%{_libdir}/*.la

%files utils
%defattr(-,root,root)
%_bindir/dirac*
%_bindir/BMPtoRGB
%_bindir/RGB*
%_bindir/UYVYtoRGB
%_bindir/UYVYtoYUV422
%_bindir/YUV*
%_bindir/create_dirac_testfile.pl

%files -n %libname
%defattr(-,root,root)
%_libdir/libdirac*.so.0*

%files -n %develname
%defattr(-,root,root)
%_includedir/%{name}
%_libdir/libdirac*.so
%doc installed-docs/*
%_libdir/pkgconfig/dirac.pc


%changelog
* Tue Jan 31 2023 tex - 1.0.2-2pclos2023
- rebuild against updates

* Thu Aug 04 2011 Texstar <texstar at gmail.com> 1.0.2-1pclos2011
- rebuild 64bit
